
using System.Diagnostics.CodeAnalysis;
using System.IO;
using Dashboard.PAL;

namespace Dashboard.Media.Defaults
{
    public class FreeTypeFontFactory : IFontFactory
    {
        public bool TryOpen(Stream stream, [NotNullWhen(true)] out Font font)
        {
            try
            {
                font = new FontFreeType(stream);
                return true;
            }
            catch
            {
                font = null;
                return false;
            }
        }
    }
}